/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* ----- POPPINS FONT Link ----- */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

/* ----- VARIABLES ----- */
:root {
    /* --body-color: #FFFFFF; */
    --body-color: #FFFFFF;
    --color-white: rgb(255, 255, 255);

    --text-color-second: rgb(68, 68, 68);
    --text-color-third: rgb(131, 30, 171);

    --first-color: rgb(110, 87, 224);
    --first-color-hover: rgb(38, 16, 127);

    --second-color: rgb(110, 87, 224);
    --third-color: rgb(192, 166, 49);
    --first-shadow-color: rgba(0, 0, 0, 0.1);

    --btn-bg-color: rgba(210, 207, 226, 0.852);
    --btn-bg-hover-color: blueviolet;
}

/* ----- BASE ----- */
* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

/* ----- SMOOTH SCROLL ----- */
html {
    scroll-behavior: smooth;
}

/* ---##-- REUSABLE CSS --##--- */

/* ----- GLOBAL BUTTON DESIGN ----- */
.btn {
    margin-top: 18px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: 15px;
    font-weight: 500;
    padding: 2px 10px;
    background: var(--btn-bg-color);
    border: none;
    border-radius: 10px;
    cursor: pointer;
    -webkit-transition: .4s;
    -o-transition: .4s;
    transition: .4s;
}

.btn a {
    text-decoration: none;
}

.btn>i {
    margin-left: 10px;
}

.btn:hover a,
.btn:hover i {
    color: white;
}

.btn:hover {
    background-color: var(--btn-bg-hover-color);
}

/* ----- GLOBAL ICONS DESIGN ----- */
i {
    font-size: 25px;
}

/* ------- BASE -------- */
body {
    background: var(--body-color);
}

.container {
    width: 100%;
    position: relative;
    overflow-x: hidden;
    /* not mandatory */
}

/* ----- NAVIGATION BAR ----- */
nav {
    position: fixed;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 100%;
    height: 90px;
    line-height: 90px;
    background: var(--body-color);
    padding-inline: 9vw;
    -webkit-transition: .3s;
    -o-transition: .3s;
    transition: .3s;
    z-index: 100;
}

.nav-logo {
    position: relative;
}

.nav-name {
    font-size: 25px;
    font-weight: 600;
    color: var(--text-color-third);
}

.nav-logo span {
    position: absolute;
    top: -15px;
    right: -20px;
    font-size: 5em;
    color: var(--text-color-second);
}

.nav-menu,
.nav_menu_list {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.nav-menu .nav_list {
    list-style: none;
    position: relative;
    margin: 0px 20px;
}

.nav-link {
    text-decoration: none;
    color: var(--text-color-second);
    font-weight: 500;
    font-size: 16px;
}

.nav-menu-btn {
    display: none;
}

.nav-menu-btn i {
    font-size: 28px;
    cursor: pointer;
}

.active-link {
    position: relative;
    color: var(--first-color);
    -webkit-transition: .3;
    -o-transition: .3;
    transition: .3;
    -moz-transition: .3;
    -ms-transition: .3;
}

.active-link::after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: -15px;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: 5px;
    height: 5px;
    background: var(--first-color);
    border-radius: 50%;
}


/* ----- WRAPPER DESIGN ----- */
.wrapper {
    padding-inline: 10vw;
}

/* ----- FEATURED BOX ----- */
.featured-box {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 100vh;
    min-height: 700px;
}

/* ----- FEATURED TEXT BOX ----- */
.featured-text {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-line-pack: center;
    align-content: center;
    min-height: 80vh;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 50%;
    padding-left: 20px;
}

.featured-text-card span {
    background: var(--third-color);
    color: white;
    padding: 3px 15px;
    font-size: 15px;
    font-weight: 600;
    border-radius: 10px 60px;
}

.featured-name {
    font-size: 50px;
    font-weight: 600;
    color: var(--text-color-second);
    margin-block: 20px;
}

.typedText {
    text-transform: capitalize;
    color: var(--text-color-third);
}

.featured-text-info {
    font-size: 15px;
    font-weight: 500;
    margin-bottom: 30px;
    color: var(--text-color-second);
}

.featured-text-btn {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 20px;
}

.featured-text-btn>.blue-btn {
    background: var(--btn-bg-hover-color);
}

.featured-text-btn>.blue-btn:hover {
    background: var(--btn-bg-color);
}

.featured-text-btn>.blue-btn a {
    color: var(--color-white);
}

.featured-text-btn>.blue-btn:hover a {
    color: rgb(77, 9, 141);
}

.social_icons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin-top: 2em;
    gap: 30px;
}

.icon {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.25);
    box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.25);
    cursor: pointer;
}

.icon:hover {
    color: var(--first-color);
}

/* ----- FEATURED IMAGE BOX ----- */
.featured-image {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: right;
    -ms-flex-pack: right;
    justify-content: right;
    -ms-flex-line-pack: center;
    align-content: center;
    min-height: 80vh;
    width: 50%;
}

.image {
    margin: auto 0;
    width: 380px;
    height: 380px;
    -webkit-animation: imgFloat 7s ease-in-out infinite;
    animation: imgFloat 7s ease-in-out infinite;
}

.image img {
    width: 400px;
    height: 400px;
    -o-object-fit: contain;
    object-fit: contain;
}

@-webkit-keyframes imgFloat {
    50% {
        -webkit-transform: translateY(10px);
        transform: translateY(10px);
    }
}

@keyframes imgFloat {
    50% {
        -webkit-transform: translateY(10px);
        transform: translateY(10px);
    }
}


/* ----- MAIN BOX ----- */
.section {
    padding-block: 3em;
}

.row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 100%;
    gap: 50px;
}

.col {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 50%;
}

/* -- ## --- RESUABLE CSS -- ## -- */
.top-header {
    text-align: center;
    margin-bottom: 5em;
}

.top-header h1 {
    font-weight: 600;
    color: var(--text-color-second);
}

.top-header span {
    color: #999;
}

h3 {
    font-size: 18px;
    font-weight: 600;
    color: var(--text-color-second);
    margin-bottom: 15px;
}

/* ----- ABOUT INFO ----- */
.about-info {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-block: 20px 70px;
    padding-inline: 30px;
    width: 100%;
    background: var(--color-white);
    -webkit-box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
    border-radius: 20px;
}

.about-info p {
    text-align: center;
    font-size: 14px;
    color: #2f2f2f;
}


/* ----- ABOUT / SKILLS BOX ----- */
.skills-box {
    margin: 10px;
}

.skills-header {
    margin-bottom: 30px;
}

.skills-list {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 5px;
}

.skills-list span {
    font-size: 14px;
    background: var(--first-color);
    color: white;
    padding: 2px 10px;
    border-radius: 5px;
}

/* ----- PROJECTS BOX ----- */
.project-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 15px;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.project-box {
    position: relative;
    width: 30%;
    border-radius: 10px;
    /* height: max-content; */
    -webkit-box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
    box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
}

.project-image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100px;
    position: relative;
    border-radius: 10px 10px 0 0;
    -webkit-border-radius: 10px 10px 0 0;
    -moz-border-radius: 10px 10px 0 0;
    -ms-border-radius: 10px 10px 0 0;
    -o-border-radius: 10px 10px 0 0;
}

.project-image img {
    display: -ms-grid;
    display: grid;
    place-items: center;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

.project-data {
    /* margin-top: 40px; */
    width: 100%;
    padding: 10px 20px;
    display: -ms-grid;
    display: grid;
    place-items: center;
}

.project-data h3 {
    margin-top: 10px;
    font-size: 16px;
    text-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
}

.project-data p {
    margin-bottom: 10px;
    font-size: 15px;
    color: #777;
}

.project-data .tech-list {
    margin: 10px 0 40px 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 10px;
}

.project-data .tech-list span {
    font-size: 13px;
    background: var(--first-color);
    color: white;
    padding: 2px 10px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.source-code {
    margin-top: 10px;
    position: absolute;
    bottom: 10px;
    background: var(--btn-bg-color);
    display: -ms-grid;
    display: grid;
    place-items: center;
    padding: 6px 10px;
    border: none;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

.source-code:hover a,
.source-code:hover {
    background: var(--btn-bg-hover-color);
    color: white;
}

.source-code a {
    font-size: 15px;
    text-decoration: none;
}

/* ----- CERTIFICATES BOX ----- */
.certificates-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 20px;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.certificates-box {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 30%;
    height: 200px;
    background: var(--color-white);
    border-radius: 20px;
    -webkit-box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
    box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
    overflow: hidden;
    padding: 10px 20px;
    -webkit-transition: background 0.5s, -webkit-transform 0.5s;
    transition: background 0.5s, -webkit-transform 0.5s;
    -o-transition: background 0.5s, transform 0.5s;
    transition: background 0.5s, transform 0.5s;
    transition: background 0.5s, transform 0.5s, -webkit-transform 0.5s;
}

.certificates-box img {
    margin-bottom: 10px;
    height: 35px;
    border-radius: 5px;
}

.certificates-box h3 {
    text-align: center;
    margin-top: 10px;
    font-size: 16px;
}

.certificates-box label {
    font-size: 13px;
    color: #777;
    text-align: center;
}

.certificates-box:hover {
    background-color: var(--second-color);
    -webkit-transform: translate(-10px);
    -ms-transform: translate(-10px);
    transform: translate(-10px);
    color: white;
}

.certificates-box:hover.certificates-box img,
.certificates-box:hover.certificates-box>h3,
.certificates-box:hover.certificates-box>label {
    color: white;
}


/* ----- CONTACT BOX ----- */
.contact-info {
    background: blueviolet;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 20px 30px;
    width: 100%;
    height: 250px;
    border-radius: 10px;
    -webkit-box-shadow: 1px 8px 10px 2px var(--first-shadow-color);
    box-shadow: 1px 8px 10px 2px var(--first-shadow-color);
    overflow: hidden;

}

.contact-info>h2 {
    color: var(--color-white);
}

.contact-info>p {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 10px;
    color: var(--color-white);
    margin-block: 5px;
}

.contact-info p>i {
    font-size: 18px;
}




/* ----- CONTACT FORM ----- */
.form-control {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.form-inputs {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 10px;
    width: 100%;
}

.input-field {
    width: 50%;
    height: 40px;
    background: transparent;
    border: 2px solid #AAA;
    border-radius: 10px;
    padding-inline: 20px;
    outline: none;
}

textarea {
    width: 100%;
    height: 200px;
    background: transparent;
    border: 2px solid #AAA;
    border-radius: 10px;
    padding: 15px 20px;
    outline: none;
    resize: none;
    margin-top: 10px;
}

.form-button>.btn {
    color: var(--first-color-hover);
    background: var(--btn-bg-color);
    padding: 5px 20px 5px 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    border: none;
}

.form-button>.btn:hover {
    background: var(--btn-bg-hover-color);
    color: white;
}

.form-button i {
    font-size: 20px;
    rotate: -45deg;
}

#msg {
    color: rgb(38, 16, 127);
    display: block;
    font-size: 15px;
    font-weight: 500;
}

/* ----- FOOTER BOX ----- */
footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 50px;
    background-color: rgba(247, 243, 243, 0.668);
}

.footer-social-icons {
    margin-top: 20px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 30px;
}

.bottom-footer {
    font-size: 14px;
    text-align: center;
}